Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCCheckin

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCCheckin

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCCheckin
    extends ClearCase

Performs ClearCase checkin.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
nowarn | Suppress warning messages | No
preservetime | Preserve the modification time | No
keepcopy | Keeps a copy of the file with a .keep extension | No
identical | Allows the file to be checked in even if it is identical to the original | No
failonerr | Throw an exception if the command fails. Default is true | No

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `FLAG_COMMENT` | -c flag -- comment to attach to the file
  `static java.lang.String` | `FLAG_COMMENTFILE` | -cfile flag -- file containing a comment to attach to the file
  `static java.lang.String` | `FLAG_IDENTICAL` | -identical flag -- allows the file to be checked in even if it is identical to the original
  `static java.lang.String` | `FLAG_KEEPCOPY` | -keep flag -- keeps a copy of the file with a .keep extension
  `static java.lang.String` | `FLAG_NOCOMMENT` | -nc flag -- no comment is specified
  `static java.lang.String` | `FLAG_NOWARN` | -nwarn flag -- suppresses warning messages
  `static java.lang.String` | `FLAG_PRESERVETIME` | -ptime flag -- preserves the modification time

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CCCheckin()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `execute()` | Executes the task.
  `java.lang.String` | `getComment()` | Get comment string
  `java.lang.String` | `getCommentFile()` | Get comment file
  `boolean` | `getIdentical()` | Get identical flag status
  `boolean` | `getKeepCopy()` | Get keepcopy flag status
  `boolean` | `getNoWarn()` | Get nowarn flag status
  `boolean` | `getPreserveTime()` | Get preservetime flag status
  `void` | `setComment​(java.lang.String comment)` | Sets the comment string.
  `void` | `setCommentFile​(java.lang.String cfile)` | Specifies a file containing a comment.
  `void` | `setIdentical​(boolean identical)` | If true, allows the file to be checked in even if it is identical to the original.
  `void` | `setKeepCopy​(boolean keep)` | If true, keeps a copy of the file with a .keep extension.
  `void` | `setNoWarn​(boolean nwarn)` | If true, suppress warning messages.
  `void` | `setPreserveTime​(boolean ptime)` | If true, preserve the modification time.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT
    -c flag -- comment to attach to the file
    See Also:
      Constant Field Values

  - ### FLAG_COMMENTFILE

    public static final java.lang.String FLAG_COMMENTFILE
    -cfile flag -- file containing a comment to attach to the file
    See Also:
      Constant Field Values

  - ### FLAG_NOCOMMENT

    public static final java.lang.String FLAG_NOCOMMENT
    -nc flag -- no comment is specified
    See Also:
      Constant Field Values

  - ### FLAG_NOWARN

    public static final java.lang.String FLAG_NOWARN
    -nwarn flag -- suppresses warning messages
    See Also:
      Constant Field Values

  - ### FLAG_PRESERVETIME

    public static final java.lang.String FLAG_PRESERVETIME
    -ptime flag -- preserves the modification time
    See Also:
      Constant Field Values

  - ### FLAG_KEEPCOPY

    public static final java.lang.String FLAG_KEEPCOPY
    -keep flag -- keeps a copy of the file with a .keep extension
    See Also:
      Constant Field Values

  - ### FLAG_IDENTICAL

    public static final java.lang.String FLAG_IDENTICAL
    -identical flag -- allows the file to be checked in even if it is identical to the original
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CCCheckin

    public CCCheckin()

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if the command fails and failonerr is set to true

  - ### setComment

    public void setComment​(java.lang.String comment)
    Sets the comment string.
    Parameters:
      `comment` - the comment string

  - ### getComment

    public java.lang.String getComment()
    Get comment string
    Returns:
      String containing the comment

  - ### setCommentFile

    public void setCommentFile​(java.lang.String cfile)
    Specifies a file containing a comment.
    Parameters:
      `cfile` - the path to the comment file

  - ### getCommentFile

    public java.lang.String getCommentFile()
    Get comment file
    Returns:
      String containing the path to the comment file

  - ### setNoWarn

    public void setNoWarn​(boolean nwarn)
    If true, suppress warning messages.
    Parameters:
      `nwarn` - the status to set the flag to

  - ### getNoWarn

    public boolean getNoWarn()
    Get nowarn flag status
    Returns:
      boolean containing status of nwarn flag

  - ### setPreserveTime

    public void setPreserveTime​(boolean ptime)
    If true, preserve the modification time.
    Parameters:
      `ptime` - the status to set the flag to

  - ### getPreserveTime

    public boolean getPreserveTime()
    Get preservetime flag status
    Returns:
      boolean containing status of preservetime flag

  - ### setKeepCopy

    public void setKeepCopy​(boolean keep)
    If true, keeps a copy of the file with a .keep extension.
    Parameters:
      `keep` - the status to set the flag to

  - ### getKeepCopy

    public boolean getKeepCopy()
    Get keepcopy flag status
    Returns:
      boolean containing status of keepcopy flag

  - ### setIdentical

    public void setIdentical​(boolean identical)
    If true, allows the file to be checked in even if it is identical to the original.
    Parameters:
      `identical` - the status to set the flag to

  - ### getIdentical

    public boolean getIdentical()
    Get identical flag status
    Returns:
      boolean containing status of identical flag